﻿using System.Windows;
using System.Windows.Controls;

namespace XamDataGridSample
{
    /// <summary>
    /// Interaction logic for SmallUserControl.xaml
    /// </summary>
    public partial class SmallUserControl : UserControl
    {
        public SmallUserControl()
        {
            InitializeComponent();
        }

        public static DependencyProperty TextProperty = DependencyProperty.Register(
            "Text", typeof(string), typeof(SmallUserControl));
        
        public string Text
        {
            get
            {
                return (string)GetValue(TextProperty);
            }

            set
            {
                SetValue(TextProperty, value);
            }
        }

        public static DependencyProperty CustomTextProperty = DependencyProperty.Register(
            "CustomText", typeof(bool), typeof(SmallUserControl));

        public bool CustomText
        {
            get
            {
                return (bool)GetValue(CustomTextProperty);
            }

            set
            {
                SetValue(CustomTextProperty, value);
            }
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            if (CustomText)
            {
                textB.Text = Text;
            }
        }
    }
}
